Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.schema.binding
Class SoapArrayCodecBase.EntryIterator

    java.lang.Object
      weblogic.xml.schema.binding.SoapArrayCodecBase.EntryIterator

Enclosing class:
  SoapArrayCodecBase

    protected static class SoapArrayCodecBase.EntryIterator

extends Object

Constructor Summary
`SoapArrayCodecBase.EntryIterator(weblogic.xml.schema.binding.internal.SoapArrayDescriptor array_desc, Deserializer component_deserializer, XMLInputStream rdr, DeserializationContext ctx)`

Method Summary
`boolean` | `hasNext()`
`Object` | `next()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoapArrayCodecBase.EntryIterator

    public SoapArrayCodecBase.EntryIterator(weblogic.xml.schema.binding.internal.SoapArrayDescriptor array_desc,
                                            Deserializer component_deserializer,
                                            XMLInputStream rdr,
                                            DeserializationContext ctx)
                                     throws XMLStreamException,
                                            DeserializationException

Throws:
  `XMLStreamException`
  `DeserializationException`

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Object next()
                throws XMLStreamException,
                       DeserializationException

  Throws:
    `XMLStreamException`
    `DeserializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD